<h1 class="block-title-big main-h2">Личные сообщения</h1>
<article class="box story">
	<div class="box_in">
		<div class="pm-box">
			<nav id="pm-menu">
				[inbox]<span class="pmlink butt-transp hover-butt-transp active">Входящие</span>[/inbox]
				[outbox]<span class="pmlink butt-transp hover-butt-transp active">Отправленные</span>[/outbox]
				[new_pm]<span class="pmlink butt-transp hover-butt-transp active">Написать новое сообщение</span>[/new_pm]
			</nav>
			<div class="pm_status">
				{pm-progress-bar}
				{proc-pm-limit} % / ({pm-limit} сообщений)
			</div>
		</div>
		[pmlist]
		<div class="pmlist">
			{pmlist}
		</div>
		[/pmlist]
		[newpm]
		<h4 class="heading" style="margin-bottom: 15px; font: 18px Avenir-Bold; margin-left: 10px;">Создать сообщение</h4>
		<div class="addpm">
			<ul class="ui-form">
				<li class="form-group combo">
					<div class="combo_field">
						<input placeholder="Имя адресата" type="text" name="name" value="{author}" class="wide" required>
					</div>
					<div class="combo_field">
						<input placeholder="Тема сообщения" type="text" name="subj" value="{subj}" class="wide" required>
					</div>
				</li>
				<li id="comment-editor">{editor}</li>
				<li><input type="checkbox" id="outboxcopy" name="outboxcopy" value="1" /> <label for="outboxcopy">Сохранить сообщение в папке "Отправленные"</label></li>  
			[recaptcha]
				<li>{recaptcha}</li>
			[/recaptcha]
			[question]
				<li class="form-group">
					<label for="question_answer">Вопрос: {question}</label>
					<input placeholder="Ответ" type="text" name="question_answer" id="question_answer" class="wide" required>
				</li>
			[/question]
			</ul>
			<div class="form_submit" style="display: flex; margin: 20px 0;">
				[sec_code]
					<div class="c-captcha">
						{sec_code}
						<input placeholder="Повторите код" title="Введите код указанный на картинке" type="text" name="sec_code" id="sec_code" required>
					</div>
				[/sec_code]
				<button class="full-search-doit butt-wide hover-butt active blue" type="submit" name="add"><b>Отправить</b></button>
				<button class="full-search-clear butt-transp hover-butt-transp active" type="button" onclick="dlePMPreview()">Предпросмотр</button>
			</div>
		</div>
		[/newpm]
	
	[readpm]
	<div class="comment" id="{comment-id}"  style="background: #181818;">
		<div class="com_info">
			<div class="avatar">
				<span class="cover" style="background-image: url({foto});">{login}</span>
			</div>
			<div class="com_user">
				<b class="name">{author}</b>
				<span class="grey">
					от {date}
				</span>
			</div>
			<div class="meta">
				<ul class="right">
					<li class="del hover-just active" title="Удалить">[del]<img src="{THEME}/img/icon-close-circle.png" alt=""><span class="title_hide">Удалить</span>[/del]</li>
				</ul>
			</div>
		</div>
		<div class="com_content">
			<h4 class="title" style=" font-family: Avenir-Bold; font-size: 24px; margin-bottom: 10px;">{subj}</h4>
			<div class="text">{text}</div>
			[signature]<div class="signature">--------------------<br />{signature}</div>[/signature]
		</div>
	</div>
	</div>
	[/readpm]
</article>