<!DOCTYPE html>
<html [available=lostpassword|register] class="page_form_style"[/available] lang="ru" prefix="og: http://ogp.me/ns# video: http://ogp.me/ns/video# ya: http://webmaster.yandex.ru/vocabularies/">
<head>
{headers}
<meta name="HandheldFriendly" content="true"><meta name="format-detection" content="telephone=no">
<meta name="viewport" content="user-scalable=0, initial-scale=1.0, maximum-scale=1.0, width=device-width"> 
<meta name="apple-mobile-web-app-capable" content="yes"><meta name="apple-mobile-web-app-status-bar-style" content="default">
<link rel="shortcut icon" href="/favicon.ico"><link href="{THEME}/css/main.css" type="text/css" rel="stylesheet">
[not-desktop]<link href="{THEME}/css/mobile-menu.css" type="text/css" rel="stylesheet">[/not-desktop]
<!--<script></script>-->
</head>
<body>
[not-desktop]{include file="mobile-menu.tpl"}[/not-desktop]
<div class="page [available=showfull]showfull[/available]"><div class="main-wrap">
<header class="header" style="[available=showfull]background: rgba(0, 0, 0, 0.75);[/available]">
<div class="header-cont container"><div class="header-blocks row"><div class="header-links">
<a href="#" class="menu-btn"><div class="wrapper-menu"><div class="line-menu half start"></div><div class="line-menu"></div>
<div class="line-menu half end"></div></div></a>
<a href="/" class="logo hover-just active"><img src="{THEME}/img/logo.png" alt="Кинопушка"></a>
</div>
<form method="post" class="short-search-form"><input id="ajax_search" name="story" type="search" placeholder="Найти ... ">
<button class="blue butt-wide hover-butt active" title="Найти" type="submit"><img src="{THEME}/img/icon-search.png" alt="Кнопка поиска"></button>
<input type="hidden" name="do" value="search"><input type="hidden" name="subaction" value="search"></form>
<div class="not-logged">
[group=5]<a href="/index.php?do=register" class="regist butt-transp hover-butt-transp active">регистрация</a>[/group]
{login}</div></div></div></header>
{include file="navigation-top.tpl"}
[not-smartphone][not-available=showfull]<div class="top-courusel owl-carousel owl-carousel-top container">
{custom template="top-courusel-item" navigation="no" from="0" [available=main] category="1-26" [/available] [category=2] category="2" [/category] [category=3-26] category="3-26" [/category] limit="20" order="date" sort="desc" cache="yes"}
</div>
[/not-available][/not-smartphone]
<div class="container cont-info">{info}</div>
{*[available=main]{include file="multisort.tpl"}[/available]*}
<div class="content-cont container">
<main class="content-body" style="[not-available=main|showfull] display: flex;[/not-available]" >
[not-available=main|showfull]
<div class="shortnews">
[available=cat]<div class="cat-title-line">
<h1 class="block-title-big main-h2">{category-title} <span class="only-desk">смотреть онлайн</span></h1>
<div id="dd" class="sort-by main-h2" tabindex="1">Сортировать по <ul class="dropdown">[sort]{sort}[/sort]</ul>	</div>
</div>[/available]
[available=favorites]<h1 class="block-title-big main-h2">Ваши закладки</h1>[/available]
[available=lastcomments]<h1 class="block-title-big main-h2">Последние комментарии</h1> [/available]
<div id="dle-content">{content}</div>
</div>
[not-smartphone]{include file="sidebar.tpl"}[/not-smartphone][/not-available]
[available=main]{*<!-- {include file="main-content.tpl"} -->*}
<div class="shortnews" style="width: 100%;"><div id="dle-content">{content}</div></div>
[/available]
[available=showfull]<div id="dle-content">{content}</div>[/available]
</div></div>
<div class="footer-text-wrap"><div class="footer-text-cont container"><div class="footer-text-body">
[available=main]
<h1 class="main-h1">Фильмы онлайн</h1>
<p>Сериалы, фильмы, мультфильмы и тв шоу</p>
<!--<img data-src="https://images.kinorium.com/web/img1.webp" align="left" alt="">-->
<p>Бесплатно в высоком качестве Full HD 1080</p>
<p>Несколько плееров для удобства и гарантии просмотра</p>
[/available]
[available=cat]{category-description}[/available]
</div></div></div>
<div class="footer-wrap"><div class="footer-cont container"><footer class="footer-body">
<span>©KPClub 2023</span>
<a href="#"><img style="margin-top: -5px;" src="{THEME}/img/li.png"></a>
<a href="/index.php?do=feedback">Правообладателям</a><a href="/index.php?do=feedback">Обратная связь</a>
</footer></div></div></div></div>
<script src="{THEME}/js/common.js"></script>
{AJAX}
<script src="{THEME}/js/owl.carousel.js"></script>
[not-available=showfull]<script src="{THEME}/js/ion.rangeSlider.min.js"></script>[/not-available]
<script>
		jQuery(function($){
			$.get("{THEME}/images/sprite.svg", function(data) {
				var div = document.createElement("div");
				div.innerHTML = new XMLSerializer().serializeToString(data.documentElement);
				document.body.insertBefore(div, document.body.childNodes[0]);
			});
		});
	</script>
	<script>
		$(window).on('ajaxComplete', function() {
			setTimeout(function() {
				$(window).lazyLoadXT();
			}, 50);
		});
		(function () {
			function logElementEvent(eventName, element) {
				console.log(Date.now(), eventName, element.getAttribute("data-src"));
			}
			ll = new LazyLoad({
				elements_selector: '.lazy',
				load_delay: 300,
				threshold: 0,
			});
		}());
	</script>	
</body></html>